Skip to main content
PATCH
/
transactions
/
{transaction_id}
Update a transaction (admin)
curl --request PATCH \
  --url https://api.pcxpay.com/v1/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "initiated",
  "payment_id": "<string>",
  "payout_id": "<string>",
  "metadata": {},
  "amount_paid": 123,
  "outstanding_balance": 123,
  "installments_completed": 123,
  "next_due_date": "2023-11-07T05:31:56Z"
}
'
{
  "transaction_id": "<string>",
  "user_id": "<string>",
  "beneficiary_id": "<string>",
  "amount": 123,
  "currency": "<string>",
  "type": "inbound",
  "status": "initiated",
  "payment_method": "bank_transfer",
  "payment_id": "<string>",
  "payout_id": "<string>",
  "org_id": "<string>",
  "country": "<string>",
  "entity_type": "<string>",
  "target_amount": 123,
  "target_currency": "<string>",
  "metadata": {},
  "beneficiary_details": {},
  "compound_amount": 123,
  "duration": 123,
  "installment_amount": 123,
  "total_installments": 123,
  "installments_completed": 123,
  "amount_paid": 123,
  "outstanding_balance": 123,
  "next_due_date": "2023-11-07T05:31:56Z",
  "start_date": "2023-11-07T05:31:56Z",
  "frequency": "weekly",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction_id
string
required

Body

application/json

Fields an admin may update on an existing transaction.

status
enum<string>
Available options:
initiated,
pending,
completed,
failed
payment_id
string | null
payout_id
string | null
metadata
object
amount_paid
number<float> | null
outstanding_balance
number<float> | null
installments_completed
integer | null
next_due_date
string<date-time> | null

Response

Updated transaction

transaction_id
string
user_id
string
beneficiary_id
string | null
amount
number<float>
currency
string
type
enum<string>
Available options:
inbound,
outbound,
loan
status
enum<string>
Available options:
initiated,
pending,
completed,
failed
payment_method
enum<string>
Available options:
bank_transfer,
mobile_money,
crypto,
card
payment_id
string | null
payout_id
string | null
org_id
string | null
country
string | null
entity_type
string
target_amount
number<float> | null
target_currency
string | null
metadata
object
beneficiary_details
object
compound_amount
number<float> | null
duration
number | null
installment_amount
number<float> | null
total_installments
integer | null
installments_completed
integer | null
amount_paid
number<float> | null
outstanding_balance
number<float> | null
next_due_date
string<date-time> | null
start_date
string<date-time> | null
frequency
enum<string> | null
Available options:
weekly,
bi_weekly,
monthly
created_at
string<date-time>
updated_at
string<date-time>